/*==========================================================================
TABLE           : DEMOINV.DB

Generation date : 6/15/1990
Number of fields: 5
Key fields      : 1
Generated by:     Concept Dynamics Ltd Paradox 'C' Generator
						1147 South Euclid
						Oak Park, IL  60304
						(708) 524-2814
==========================================================================*/

#include "DEMOINV.h"

#include "pxengine.h"

/******************************************************************
the BUFFERED define below is used in the PXTblOpen call to establish
whether writes whould be buffered immediate (TRUE).
RETMAC is the global error handler function for all ENGINE Errors.
In this case it returns the ENGINE error.  It is generated as a MACRO
so the user can replace it with a more sophisticated handler
*******************************************************************/

#define BUFFERED FALSE
#define RETMAC if (Ret) return(Ret);


/*==============================
      ENGINE HANDLES
===============================*/

TABLEHANDLE DEMOINVTable;

RECORDHANDLE DEMOINVRecord;

FIELDHANDLE DEMOINVInvNum;				/* KEY FIELD */
FIELDHANDLE DEMOINVInvDate;		
FIELDHANDLE DEMOINVInvAmount;		
FIELDHANDLE DEMOINVCustNum;		
FIELDHANDLE DEMOINVDesc;		

/*==============================
      GLOBAL VARIABLES
===============================*/

int Ret;

/*==============================
      CODE STARTS	HERE
===============================*/

int DEMOINVOpen(void)
{
	Ret=PXTblOpen("DEMOINV",&DEMOINVTable,0,BUFFERED);

	RETMAC;
	Ret=PXRecBufOpen(DEMOINVTable,&DEMOINVRecord);
	RETMAC;
	Ret=(PXFldHandle(DEMOINVTable,"InvNum",&DEMOINVInvNum));
	RETMAC;
	Ret=(PXFldHandle(DEMOINVTable,"InvDate",&DEMOINVInvDate));
	RETMAC;
	Ret=(PXFldHandle(DEMOINVTable,"InvAmount",&DEMOINVInvAmount));
	RETMAC;
	Ret=(PXFldHandle(DEMOINVTable,"CustNum",&DEMOINVCustNum));
	RETMAC;
	Ret=(PXFldHandle(DEMOINVTable,"Desc",&DEMOINVDesc));
	RETMAC;
	return(0);
}



int DEMOINVClose(void)

{
	Ret=PXTblClose(DEMOINVTable);
	RETMAC;
	return(0);

}

int DEMOINVEmpty(void)
{
	Ret=PXTblEmpty("DEMOINV");
	RETMAC;
	return(0);

}

int DEMOINVSrchFirst(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;			/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;

	/* populate the key */
	
	Ret=PXPutShort(DEMOINVRecord,DEMOINVInvNum,Fill->InvNum);
	RETMAC;

	/* find the first record matching the key and position */

	Ret=PXSrchKey(DEMOINVTable,DEMOINVRecord,1,SEARCHFIRST);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;

	/* get the values of the record */

	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchNext(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutShort(DEMOINVRecord,DEMOINVInvNum,Fill->InvNum);
	RETMAC;

	/* find subsequent record(s) */

	Ret=PXSrchKey(DEMOINVTable,DEMOINVRecord,1,SEARCHNEXT);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;

	/* get the values of the record */

	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchInvNumFirst(int SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXPutShort(DEMOINVRecord,DEMOINVInvNum,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVInvNum,SEARCHFIRST);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchInvNumNext(int SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXPutShort(DEMOINVRecord,DEMOINVInvNum,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVInvNum,SEARCHNEXT);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchInvDateFirst(int SrchMon,int SrchDay,int SrchYear,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXDateEncode(SrchMon,SrchDay,SrchYear,&ParaDate);
	RETMAC;
	Ret=PXPutDate(DEMOINVRecord,DEMOINVInvDate,ParaDate);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVInvDate,SEARCHFIRST);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchInvDateNext(int SrchMon,int SrchDay,int SrchYear,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXDateEncode(SrchMon,SrchDay,SrchYear,&ParaDate);
	RETMAC;
	Ret=PXPutDate(DEMOINVRecord,DEMOINVInvDate,ParaDate);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVInvDate,SEARCHNEXT);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchInvAmountFirst(double SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVInvAmount,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVInvAmount,SEARCHFIRST);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchInvAmountNext(double SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVInvAmount,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVInvAmount,SEARCHNEXT);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchCustNumFirst(double SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVCustNum,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVCustNum,SEARCHFIRST);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchCustNumNext(double SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVCustNum,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVCustNum,SEARCHNEXT);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchDescFirst(char *SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXPutAlpha(DEMOINVRecord,DEMOINVDesc,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVDesc,SEARCHFIRST);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVSrchDescNext(char *SrchVal,DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */
	
	Ret=PXPutAlpha(DEMOINVRecord,DEMOINVDesc,SrchVal);
	RETMAC;
	Ret=PXSrchFld(DEMOINVTable,DEMOINVRecord,DEMOINVDesc,SEARCHNEXT);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVRecFirst(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecFirst(DEMOINVTable);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVRecNext(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecNext(DEMOINVTable);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVRecPrev(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecPrev(DEMOINVTable);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVRecLast(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecLast(DEMOINVTable);
	RETMAC;
	Ret=PXRecGet(DEMOINVTable,DEMOINVRecord);
	RETMAC;
	Ret=PXGetShort(DEMOINVRecord,DEMOINVInvNum,&Fill->InvNum);
	RETMAC;
	Ret=PXGetDate(DEMOINVRecord,DEMOINVInvDate,&ParaDate);
	RETMAC;
	Ret=PXDateDecode(ParaDate,&Fill->InvDateMonth,&Fill->InvDateDay,&Fill->InvDateYear);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVInvAmount,&Fill->InvAmount);
	RETMAC;
	Ret=PXGetDoub(DEMOINVRecord,DEMOINVCustNum,&Fill->CustNum);
	RETMAC;
	Ret=PXGetAlpha(DEMOINVRecord,DEMOINVDesc,51,Fill->Desc);
	RETMAC;

	return(0);

}

int DEMOINVAppend(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutShort(DEMOINVRecord,DEMOINVInvNum,Fill->InvNum);
	RETMAC;
	Ret=PXDateEncode(Fill->InvDateMonth,Fill->InvDateDay,Fill->InvDateYear,&ParaDate);
	RETMAC;
	Ret=PXPutDate(DEMOINVRecord,DEMOINVInvDate,ParaDate);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVInvAmount,Fill->InvAmount);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVCustNum,Fill->CustNum);
	RETMAC;
	Ret=PXPutAlpha(DEMOINVRecord,DEMOINVDesc,Fill->Desc);
	RETMAC;
	Ret=PXRecAppend(DEMOINVTable,DEMOINVRecord);
	RETMAC;

	return(0);

}

int DEMOINVInsert(DEMOINVTABLEENTRY *Fill)
{
	long ParaDate;	/* delete this if no date fields */

	Ret=PXRecBufEmpty(DEMOINVRecord);
	RETMAC;
	Ret=PXPutShort(DEMOINVRecord,DEMOINVInvNum,Fill->InvNum);
	RETMAC;
	Ret=PXDateEncode(Fill->InvDateMonth,Fill->InvDateDay,Fill->InvDateYear,&ParaDate);
	RETMAC;
	Ret=PXPutDate(DEMOINVRecord,DEMOINVInvDate,ParaDate);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVInvAmount,Fill->InvAmount);
	RETMAC;
	Ret=PXPutDoub(DEMOINVRecord,DEMOINVCustNum,Fill->CustNum);
	RETMAC;
	Ret=PXPutAlpha(DEMOINVRecord,DEMOINVDesc,Fill->Desc);
	RETMAC;
	Ret=PXRecAppend(DEMOINVTable,DEMOINVRecord);
	RETMAC;

	return(0);

}

int DEMOINVDeleteCurrent(void)
{
	Ret=PXRecDelete(DEMOINVTable);
	RETMAC;

	return(0);

}

